#include "Vektor.h"

#include <iostream>
#include <iomanip> // wegen setw
#include <cassert> // wegen assert
using namespace std;


Vektor::Vektor(int dim) {
	dimension = dim;
	daten = new int[dim];
}

Vektor::~Vektor(){
	delete[] daten;
	daten = nullptr;
}


void Vektor::Init(int wert) {
   for (int i=0; i<this->dimension; ++i){
      daten[i] = wert;
   }
}

void Vektor::Plus(const Vektor& v2, Vektor& erg) {
   assert(dimension == v2.dimension);
   assert(erg.dimension == v2.dimension);
   for (int i=0; i<dimension; ++i){
      erg.daten[i] = daten[i] + v2.daten[i];
   }
}

void Vektor::Print() const {
   for (int i=0; i<dimension; ++i){
      cout << setw(4) << daten[i];
   }
}

void Vektor::Resize(int dim) {
	delete[] daten;
	daten = new int [dim];
	dimension = dim;

}
